﻿.breadcrumbnav ul:focus,
.main-card-header:focus,
.card-info:focus,
.child-element:focus,
.child-element:active {
    border: 2px solid black;
}

.breadcrumbnav li .passed:focus,
.breadcrumbnav li .passed:hover {
    background: black !important;
}

    .breadcrumbnav li .passed:hover::after,
    .breadcrumbnav li .passed:focus::after {
        border-left-color: black !important;
    }

.availableCards {
    margin: 1.0rem;
    padding: 0.25rem;
}


.breadcrumbnav li button.disabled,
.breadcrumbnav li button.disabled:hover {
    color: #5f676d;
}

.hint-label {
    color: #5f676d;
}

.field-validation-error,
.text-danger {
    color: #8b0000 !important;
}

p.focus:focus,
div.focus:focus {
    border: 2px solid black;
}


.skip-link {
    display: inline-block;
    background: #ffffff;
    color: transparent;
    padding: 15px 8px 8px 8px;  
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;
    outline: none;
}

.skip-link:focus,
.skip-link:hover,
.skip-link:active {
   border: 3px solid black;
   text-decoration: none;
   outline: none;
   background: #ffffff;
   color: #000000;
}

h1:focus,
h2:focus,
h3:focus,
h4:focus,
div:focus,
p:focus,
span:focus,
img:focus {
    border: 3px solid black !important;
}

div.eventElementInfo:focus 
{
    outline: 3px solid black !important; /* visible ring */
    border: none !important; /* prevent double ring and layout shift */
    box-shadow: none !important; /* prevent shadow */
}

.disableElement:disabled, .disableElement[readonly] {
    background-color: #eceeef !important;
    opacity: 1;
    cursor: not-allowed;
}


.hint-label {
    margin-top: -25px;
    margin-bottom: 15px;
}
textarea + label,
input[type="text"] + label, input[type="number"] + label,
input[type="email"] + label,
input[type="password"] + label,
select + label, input[type="text"] + img[class="ui-datepicker-trigger"] + label {
    display: inline-block !important; /* ensure vertical margins take effect */
    overflow: hidden;
    margin-top: calc(-3em - 40px) !important;
    margin-bottom: calc((3em - 1em) + 50px) !important;
    padding-left: 0px !important;
}

input, select {
    margin-top: 10px !important;
}

.field-validation-error {
    margin-top: -20px;
    margin-bottom: 25px;
}

#CorI_legend {
    font-size: 15px;
    border: 0px;
    margin-top: 8px;
}

#EventType_error,
#CorI_error,
#ReqPerson_error,
#Sex_error {
    padding-top: 20px;
}

.breadcrumbnav li button {
    font-size: 16px;
    font-weight: bold !important;
}

.fs-title {
    font-size: 20px;
}

#ApplicantWarning {
    font-size: 16px;
}

.fbn_form-group {
    font-size: 16px;
}

.btn-info:focus,
.btn-info:hover,
.btn-primary:focus,
.btn-primary:hover {
    outline: 3px solid black !important; /* visible ring */
    outline-offset: 4px !important; /* gap from the button */
    border: none !important; /* prevent double ring and layout shift */
    box-shadow: none !important; /* prevent shadow */
}

.ui-datepicker-calendar a.ui-state-default:focus,
.ui-datepicker-calendar a.ui-state-default:hover
{
    background-color: darkorange !important;
}